summaryrefslogtreecommitdiffstats
path: root/tests
diff options
context:
space:
mode:
authorP. J. McDermott <pj@pehjota.net>2023-03-22 20:30:45 (EDT)
committer P. J. McDermott <pj@pehjota.net>2023-10-05 11:07:21 (EDT)
commit52dd70354718b2693a9ad239ef082f87abe5b39e (patch)
treee4cb26981522a46888814c4bf28c6ba9c89b15d2 /tests
parent388664e08ca9578ae075e435e00ecf1ac032ff98 (diff)
downloadatsign-52dd70354718b2693a9ad239ef082f87abe5b39e.zip
atsign-52dd70354718b2693a9ad239ef082f87abe5b39e.tar.gz
atsign-52dd70354718b2693a9ad239ef082f87abe5b39e.tar.bz2
build: Rename binary to "atsign"
Fixes: gcc: error: @-file refers to a directory
Diffstat (limited to 'tests')
-rwxr-xr-xtests/formats.sh2
-rwxr-xr-xtests/parse.sh4
2 files changed, 3 insertions, 3 deletions
diff --git a/tests/formats.sh b/tests/formats.sh
index a0c4188..576b96a 100755
--- a/tests/formats.sh
+++ b/tests/formats.sh
@@ -24,7 +24,7 @@ set -eu
plan_ 1
exp="$(cat "${0%.sh}.exp")"
-got="$("${TOP_BUILDDIR}/@" -d '1970-01-02 03:04:05' -F)"
+got="$("${TOP_BUILDDIR}/atsign" -d '1970-01-02 03:04:05' -F)"
if [ x"${got}" = x"${exp}" ]; then
ok_ -- 'formats list'
diff --git a/tests/parse.sh b/tests/parse.sh
index 9113cc6..eadd2cf 100755
--- a/tests/parse.sh
+++ b/tests/parse.sh
@@ -24,7 +24,7 @@ set -eu
now='1969-12-31 23:59:30'
tgt='1970-01-01 00:00:00'
-fmts="$(TZ=UTC0 "${TOP_BUILDDIR}/@" -d "${tgt}" -F)"
+fmts="$(TZ=UTC0 "${TOP_BUILDDIR}/atsign" -d "${tgt}" -F)"
time_fmts="$(printf '%s\n' "${fmts}" | \
sed -n '/^Time formats:$/,/^Date formats:$/s/^ \* //p')"
date_fmts="$(printf '%s\n' "${fmts}" | \
@@ -54,7 +54,7 @@ test_fmt()
fmt="${3}"
shift 3
- got="$(TZ=UTC0 "${TOP_BUILDDIR}/@" -d "${now}" "${fmt}" 2>&1)" || :
+ got="$(TZ=UTC0 "${TOP_BUILDDIR}/atsign" -d "${now}" "${fmt}" 2>&1)" || :
if [ x"${got}" = x"${tgt}" ]; then
ok_ -- "${fmt}"
else